/*
 * IRrecvDemo
 * Infrared control, receiving infrared commands to control motor movement
 */

#include <IRremote.h>


IRrecv irrecv(2);

decode_results results;

void setup()
{
    Serial.begin(9600);
    irrecv.enableIRIn(); // Start the receiver

    pinMode(5, OUTPUT);
    pinMode(6, OUTPUT);
    digitalWrite(5, LOW);
    digitalWrite(6, LOW);
}

void loop() 
{
    if (irrecv.decode(&results)) 
    {
        Serial.print("value = ");
        Serial.println(results.value, HEX);
        

        if (results.value == 0xFF02FD ) //Positive motor rotation value
        {
            motor3(255,0);
        } 
        else if (results.value == 0xFF9867) //Motor reversal value
        {
            motor3(0,255);
        }
        else if (results.value == 0xFFA857) //Motor stop value
        {
            motor3(0,0);
        }

        irrecv.resume(); // Receive the next value
    }
}

void motor3(int speed1, int speed2)
{
   analogWrite(5,speed1);
   analogWrite(6,speed2); 
}
