
//Define the direction of car movement
#define  stop     0
#define  forward  1
#define  back     2
#define  left     3
#define  right    4

#define LeftPin      A0
#define MiddlePin    A1
#define RightPin     A2

void setup()
{
    Serial.begin(9600); 
  
    //Set the pin mode
    pinMode(5, OUTPUT);
    pinMode(6, OUTPUT);
    pinMode(9, OUTPUT);
    pinMode(10, OUTPUT);

    pinMode(LeftPin,INPUT);
    pinMode(MiddlePin,INPUT);
    pinMode(RightPin,INPUT);
   
    Serial.println("Initialization completed!");
}

void loop()
{
   
   patrol(); 
    
}

void patrol()
{

    if(analogRead(LeftPin) > 100 && analogRead(MiddlePin) < 500 && analogRead(RightPin) < 500)
    {
        motor(left,180,180);   
    }
    else if(analogRead(LeftPin) < 400 && analogRead(MiddlePin) > 100 && analogRead(RightPin) < 500)
    {
        motor(forward,160,160);        
    }
    else if(analogRead(LeftPin) < 400 && analogRead(MiddlePin) < 400 && analogRead(RightPin) > 100)
    {
        motor(right,180,180); 
    }
    else motor(stop,0,0);  

}


/*
M3 M4 motor drive
M3 ------> speed1
M4 ------> speed2
Speed adjustment range: 0~255
*/
void motor(int dir ,int speed1, int speed2)
{  
    switch (dir)
    {
    case stop:
        motor3(0, 0);
        motor4(0, 0);
        break;

    case forward:
        motor3(speed1, 0);
        motor4(0, speed2);
        break;

    case back:
        motor3(0, speed1);
        motor4(speed2, 0);
        break;

    case left:
        motor3(0, speed1);
        motor4(0, speed2);
        break;

    case right:
        motor3(speed1, 0);
        motor4(speed2, 0);
        break;
    
    default:
        break;
    }
}


void motor3(int speed1, int speed2)
{
   analogWrite(5,speed1);
   analogWrite(6,speed2); 
}

void motor4(int speed1, int speed2)
{
   analogWrite(9,speed1);
   analogWrite(10,speed2); 
}

